Cancel order

This endpoint cancels an order, changing its status. A reason for the cancellation can be added, it's necessary just to check if the reason of cancellation are available for the current status.

PUT

https://api.mercadopago.com/proximity-integration/shipments/{shipment_id}/cancel
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
shipment_id
string

REQUIRED

Shipment ID of the order.
Body
status
string
This field indicates the order status, which must have the value "canceled" for this endpoint.
cancellation_reason
object
Reason of the cancellation that was retrieved from the endpoint of cancellation reason.
Response parameters
status
string
Status of the order after its cancellation. The Status value that will be returned is "canceled".
Errors

400Error

400

Conflict-error - This order cannot be canceled due to its current status.

401Error

401

Unauthorized - Access Token is invalid

403Error

403

Forbidden - User cannot access this resource

424Error

424

Not Found - Failed to get some information of the order

500Error

500

Internal server error

Request
curl -X PUT \
    'https://api.mercadopago.com/proximity-integration/shipments/{shipment_id}/cancel'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    -d '{
  "status": "canceled",
  "cancellation_reason": {
    "id": "CS7452",
    "value": "out_of_stock",
    "message": "Me falta alguno de los productos."
  }
}'
Response
{
  "status": "canceled"
}